Count releases
GET
/releases/countGet count of releases for a specific project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ReleasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ReleasesApi(config);
const result = await api.countReleases({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/releases/count?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
status |
query | string | No | Filter by release status |
Response
Section titled “Response”200 — Count of releases
| Field | Type | Required | Description |
|---|---|---|---|
count |
number | Yes | — |
{ "count": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
500 |
Internal server error |